Loading...
Searching...
No Matches
oval_agent_xccdf_api.h File Reference
OVAL » OVALAGENT
`#include <oscap.h>`
`#include "oval_agent_api.h"`
`#include "xccdf_policy.h"`
`#include "oscap_export.h"`
Include dependency graph for oval_agent_xccdf_api.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef xccdf_test_result_type_t | xccdf_policy_eval_rule_cb_t(struct xccdf_policy *policy, const char *rule_id, const char *id, struct xccdf_value_binding_iterator *it, void *usr)

## Functions

OSCAP_API xccdf_test_result_type_t | oval_agent_eval_rule (struct xccdf_policy *policy, const char *rule_id, const char *id, const char *href, struct xccdf_value_binding_iterator *it, struct xccdf_check_import_iterator *check_import_it, void *usr)
| Internal OVAL Agent Callback that can be used to evaluate XCCDF content.
OSCAP_API int | oval_agent_resolve_variables (struct oval_agent_session *session, struct xccdf_value_binding_iterator *it)
| Resolve variables from XCCDF Value Bindings and set their values to OVAL Variables.

## Detailed Description

Author
  "Peter Vrabec" pvrab.nosp@m.ec@g.nosp@m.mail..nosp@m.com